# Uses of Enum Class
org.bukkit.boss.BarStyle

Packages that use BarStyle
Package
Description
org.bukkit
The root package of the Bukkit API, contains generalized API classes.
org.bukkit.boss
Classes concerning the creation of boss bars that appear at the top of the player's screen.

## Uses of BarStyle in org.bukkit

Methods in org.bukkit with parameters of type BarStyle
Modifier and Type
Method
Description
`static @NotNull KeyedBossBar`
Bukkit.`createBossBar(@NotNull NamespacedKey key, @Nullable String title, @NotNull BarColor color, @NotNull BarStyle style, @NotNull BarFlag... flags)`
Creates a boss bar instance to display to players.
`static @NotNull BossBar`
Bukkit.`createBossBar(@Nullable String title, @NotNull BarColor color, @NotNull BarStyle style, @NotNull BarFlag... flags)`
Creates a boss bar instance to display to players.
`@NotNull KeyedBossBar`
Server.`createBossBar(@NotNull NamespacedKey key, @Nullable String title, @NotNull BarColor color, @NotNull BarStyle style, @NotNull BarFlag... flags)`
Creates a boss bar instance to display to players.
`@NotNull BossBar`
Server.`createBossBar(@Nullable String title, @NotNull BarColor color, @NotNull BarStyle style, @NotNull BarFlag... flags)`
Creates a boss bar instance to display to players.

## Uses of BarStyle in org.bukkit.boss

Methods in org.bukkit.boss that return BarStyle
Modifier and Type
Method
Description
`@NotNull BarStyle`
BossBar.`getStyle()`
Returns the style of this boss bar
`static BarStyle`
BarStyle.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static BarStyle[]`
BarStyle.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.bukkit.boss with parameters of type BarStyle
Modifier and Type
Method
Description
`void`
BossBar.`setStyle(@NotNull BarStyle style)`
Sets the bar style of this boss bar